## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name httpcore

%if %{defined fedora}
%bcond_without tests
%endif

Name:           python-%{pypi_name}
Version:        0.15.0
Release:        %autorelease
Summary:        Minimal low-level HTTP client

License:        BSD
URL:            https://github.com/encode/httpcore
Source0:        %{url}/archive/%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
The HTTP Core package provides a minimal low-level HTTP client, which does
one thing only: Sending HTTP requests. It does not provide any high level
model abstractions over the API, does not handle redirects, multipart uploads,
building authentication headers, transparent HTTP caching, URL parsing, etc.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%if %{with tests}
BuildRequires:  %{py3_dist pytest pytest-asyncio pytest-httpbin pytest-trio}
%endif

%description -n python3-%{pypi_name}
The HTTP Core package provides a minimal low-level HTTP client, which does
one thing only: Sending HTTP requests. It does not provide any high level
model abstractions over the API, does not handle redirects, multipart uploads,
building authentication headers, transparent HTTP caching, URL parsing, etc.

%prep
%autosetup -n %{pypi_name}-%{version}
sed -i -e 's/"h11>=0.11,<0.13"/"h11>=0.11"/g' setup.py
rm -rf %{pypi_name}.egg-info

%generate_buildrequires
%pyproject_buildrequires %{?with_tests:-x http2,socks}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%if %{with tests}
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.md
%doc README.md

%changelog
* Thu Sep 15 2022 Fabian Affolter <mail@fabian-affolter.ch> 0.15.0-1
- Update to latest upstream release 0.15.0 (closes rhbz#2087171)

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.14.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 14 2022 Python Maint <python-maint@redhat.com> 0.14.7-5
- Rebuilt for Python 3.11

* Tue Jun 14 2022 Python Maint <python-maint@redhat.com> 0.14.7-4
- Bootstrap for Python 3.11

* Wed Mar 16 2022 Carl George <carl@george.computer> 0.14.7-3
- Add missing conditional to go with last commit

* Sat Mar 05 2022 Carl George <carl@george.computer> 0.14.7-2
- Conditionalize tests and clean up test build requirements

* Fri Mar 04 2022 Fabian Affolter <mail@fabian-affolter.ch> 0.14.7-1
- Update to latest upstream release 0.14.7 (closes rhbz#2037405)

* Thu Mar 03 2022 Carl George <carl@george.computer> 0.14.3-3
- Relax h11 dependency

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.14.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Dec 07 2021 Michel Alexandre Salim <salimma@fedoraproject.org> 0.14.3-1
- Update to latest upstream release 0.14.3 (closes rhbz#2022391)

* Tue Dec 07 2021 Michel Alexandre Salim <salimma@fedoraproject.org> 0.13.7-2
- Enable tests

* Tue Sep 21 2021 Fabian Affolter <mail@fabian-affolter.ch> 0.13.7-1
- Update to latest upstream release 0.13.7 (closes rhbz#2003602)

* Thu Aug 26 2021 Fabian Affolter <mail@fabian-affolter.ch> 0.13.6-1
- * Thu Aug 26 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.13.6-1 -
  Update to latest upstream release 0.13.6 (rhbz#1952056)

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> 0.12.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> 0.12.3-2
- Rebuilt for Python 3.10

* Fri Jan 29 2021 Fabian Affolter <mail@fabian-affolter.ch> 0.12.3-1
- * Fri Jan 29 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.12.3-1 -
  Update to latest upstream release 0.12.2 (#1921813)

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> 0.12.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Nov 23 2020 Fabian Affolter <mail@fabian-affolter.ch> 0.12.2-2
- Add bugs to changelog

* Mon Nov 23 2020 Fabian Affolter <mail@fabian-affolter.ch> 0.12.2-1
- * Mon Nov 23 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.12.2-1 -
  Enable dependency generator - Update to latest upstream release 0.12.2

* Sun Nov 08 2020 Fabian Affolter <mail@fabian-affolter.ch> 0.12.1-1
- * Sun Nov 08 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.16.0-2 -
  Add LICENSE file (#1885754)

* Fri Oct 09 2020 Itamar Reis Peixoto <itamar@ispbrasil.com.br> 0.12.0-1
- 0.12.0

* Tue Sep 29 2020 Fabian Affolter <mail@fabian-affolter.ch> 0.11.1-1
- * Wed Sep 23 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.11.1-1 -
  Update to latest upstream release 0.11.1 (#1883308)

* Wed Sep 23 2020 Fabian Affolter <mail@fabian-affolter.ch> 0.11.0-1
- * Wed Sep 23 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.11.0-1 -
  Update to latest upstream release 0.11.0 (#1881374)

* Thu Sep 03 2020 Fabian Affolter <mail@fabian-affolter.ch> 0.10.2-1
- * Thu Sep 03 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.10.2-1 -
  Update to latest upstream release 0.10.2 (rhbz#1875285)

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> 0.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sat Jun 27 2020 Fabian Affolter <mail@fabian-affolter.ch> 0.9.1-1
- * Fri Jun 05 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.9.1-1 -
  Initial package for Fedora
